Bug 555658 (CVE-2010-0008) - CVE-2010-0008 kernel: sctp remote denial of service
Summary: CVE-2010-0008 kernel: sctp remote denial of service
Status: NEW
Alias: CVE-2010-0008
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=customer,repo...
Keywords: Security
Depends On: 555660 555661 555662 555663 555664 555665 555666 555667 555668
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-15 06:55 UTC by Eugene Teo (Security Response)
Modified: 2018-10-27 12:53 UTC (History)
20 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0146 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 00:46:47 UTC
Red Hat Product Errata RHSA-2010:0147 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 00:18:44 UTC
Red Hat Product Errata RHSA-2010:0148 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 03:18:17 UTC
Red Hat Product Errata RHSA-2010:0149 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 04:02:49 UTC
Red Hat Product Errata RHSA-2010:0172 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-03-24 15:46:46 UTC
Red Hat Product Errata RHSA-2010:0342 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-04-06 22:56:52 UTC

Description Eugene Teo (Security Response) 2010-01-15 06:55:42 UTC
Description of problem:
Reported by our customer, via IT#371682.

a flaw was found in the sctp_rcv_ootb() function in the Linux kernel Stream Control Transmission Protocol (SCTP) implementation. A remote attacker could send a specially-crafted SCTP packet to a target system, resulting in a denial of service.

Acknowledgements:

Red Hat would like to thank Telesys Software for responsibly reporting this
issue.

Comment 3 Eugene Teo (Security Response) 2010-01-15 07:06:08 UTC
This issue has been rated as having important security impact by the Red Hat Security Response Team.

Before updates are applied, it is possible to reduce the risk and mitigate this flaw by blacklisting the sctp kernel module.

Red Hat Enterprise Linux 4 and 5
Add the following entries to the end of the /etc/modprobe.conf file:
install sctp /bin/true

The sctp module cannot be unloaded from a running kernel if the module is already loaded; therefore, the above changes for /etc/modprobe.conf on Red Hat Enterprise Linux 4 and 5 require a reboot to take effect.

Red Hat Enterprise MRG
Add the following entries to the end of the /etc/modprobe.conf file:
install sctp /bin/true

Comment 18 Eugene Teo (Security Response) 2010-02-02 09:57:56 UTC
(In reply to comment #3)
> This issue has been rated as having important security impact by the Red Hat
> Security Response Team.
> 
> Before updates are applied, it is possible to reduce the risk and mitigate this
> flaw by blacklisting the sctp kernel module.
> 
> Red Hat Enterprise Linux 4 and 5
> Add the following entries to the end of the /etc/modprobe.conf file:
> install sctp /bin/true
> 
> The sctp module cannot be unloaded from a running kernel if the module is
> already loaded; therefore, the above changes for /etc/modprobe.conf on Red Hat
> Enterprise Linux 4 and 5 require a reboot to take effect.
> 
> Red Hat Enterprise MRG
> Add the following entries to the end of the /etc/modprobe.conf file:
> install sctp /bin/true    

For customers who are unable to mitigate this should request for a hotfix via Red Hat Support until a kernel update that addresses this is available.

Comment 19 Eugene Teo (Security Response) 2010-03-06 05:09:17 UTC
Upstream commit:
http://git.kernel.org/linus/ece25dfa0991f65c4e1d26beb1c3c45bda4239b8

Comment 28 errata-xmlrpc 2010-03-17 00:18:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0147 https://rhn.redhat.com/errata/RHSA-2010-0147.html

Comment 29 errata-xmlrpc 2010-03-17 00:47:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0146 https://rhn.redhat.com/errata/RHSA-2010-0146.html

Comment 30 errata-xmlrpc 2010-03-17 03:18:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.2 Z Stream

Via RHSA-2010:0148 https://rhn.redhat.com/errata/RHSA-2010-0148.html

Comment 31 errata-xmlrpc 2010-03-17 04:03:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0149 https://rhn.redhat.com/errata/RHSA-2010-0149.html

Comment 32 errata-xmlrpc 2010-03-24 15:46:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0172 https://rhn.redhat.com/errata/RHSA-2010-0172.html

Comment 33 errata-xmlrpc 2010-04-06 22:57:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4.7 Z Stream

Via RHSA-2010:0342 https://rhn.redhat.com/errata/RHSA-2010-0342.html


Note You need to log in before you can comment on or make changes to this bug.